Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
update autogenerated
[simgrid.git] / examples / gras / timer / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 noinst_PROGRAMS = timer_client$(EXEEXT) timer_simulator$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
48         $(top_srcdir)/acmacro/dist-files.mk \
49         $(top_srcdir)/examples/temps-gras-stub.mk
50 subdir = examples/gras/timer
51 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
52 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
53         $(top_srcdir)/acmacro/compiler-flags.m4 \
54         $(top_srcdir)/acmacro/context.m4 \
55         $(top_srcdir)/acmacro/fancy_configury.m4 \
56         $(top_srcdir)/acmacro/flex.m4 \
57         $(top_srcdir)/acmacro/gras_arch.m4 \
58         $(top_srcdir)/acmacro/print_null.m4 \
59         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
60 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
61         $(ACLOCAL_M4)
62 mkinstalldirs = $(install_sh) -d
63 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
64 CONFIG_CLEAN_FILES = test_sg test_rl
65 PROGRAMS = $(noinst_PROGRAMS)
66 am_timer_client_OBJECTS = _timer_client.$(OBJEXT) timer.$(OBJEXT)
67 timer_client_OBJECTS = $(am_timer_client_OBJECTS)
68 timer_client_DEPENDENCIES = $(top_builddir)/src/libgras.la
69 am_timer_simulator_OBJECTS = _timer_simulator.$(OBJEXT) \
70         timer.$(OBJEXT)
71 timer_simulator_OBJECTS = $(am_timer_simulator_OBJECTS)
72 timer_simulator_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
73 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
74 depcomp = $(SHELL) $(top_srcdir)/depcomp
75 am__depfiles_maybe = depfiles
76 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
77         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
78 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
79         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
80         $(AM_CFLAGS) $(CFLAGS)
81 CCLD = $(CC)
82 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
83         $(AM_LDFLAGS) $(LDFLAGS) -o $@
84 SOURCES = $(timer_client_SOURCES) $(timer_simulator_SOURCES)
85 DIST_SOURCES = $(timer_client_SOURCES) $(timer_simulator_SOURCES)
86 ETAGS = etags
87 CTAGS = ctags
88 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
89 ACLOCAL = @ACLOCAL@
90 ADDR2LINE = @ADDR2LINE@
91 AMDEP_FALSE = @AMDEP_FALSE@
92 AMDEP_TRUE = @AMDEP_TRUE@
93 AMTAR = @AMTAR@
94 AM_CFLAGS = -g
95 AR = @AR@
96 AS = @AS@
97 AUTOCONF = @AUTOCONF@
98 AUTOHEADER = @AUTOHEADER@
99 AUTOMAKE = @AUTOMAKE@
100 AWK = @AWK@
101 BASH = @BASH@
102 CC = @CC@
103 CCDEPMODE = @CCDEPMODE@
104 CFLAGS = @CFLAGS@
105 CPP = @CPP@
106 CPPFLAGS = @CPPFLAGS@
107 CXX = @CXX@
108 CXXCPP = @CXXCPP@
109 CXXDEPMODE = @CXXDEPMODE@
110 CXXFLAGS = @CXXFLAGS@
111 CYGPATH_W = @CYGPATH_W@
112 DEFS = @DEFS@
113 DEPDIR = @DEPDIR@
114 DLLTOOL = @DLLTOOL@
115 DOXYGEN = @DOXYGEN@
116 ECHO = @ECHO@
117 ECHO_C = @ECHO_C@
118 ECHO_N = @ECHO_N@
119 ECHO_T = @ECHO_T@
120 EGREP = @EGREP@
121 EXEEXT = @EXEEXT@
122 F77 = @F77@
123 FFLAGS = @FFLAGS@
124 FLEXML = @FLEXML@
125 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
126 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
127 GRAS_DEP = @GRAS_DEP@
128 GREP = @GREP@
129 GTNETS_CFLAGS = @GTNETS_CFLAGS@
130 GTNETS_LDFLAGS = @GTNETS_LDFLAGS@
131 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
132 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
133 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
134 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
135 INSTALL_DATA = @INSTALL_DATA@
136 INSTALL_PROGRAM = @INSTALL_PROGRAM@
137 INSTALL_SCRIPT = @INSTALL_SCRIPT@
138 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
139 LDFLAGS = @LDFLAGS@
140 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
141 LEX = @LEX@
142 LEXLIB = @LEXLIB@
143 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
144 LIBOBJS = @LIBOBJS@
145 LIBS = @LIBS@
146 LIBTOOL = @LIBTOOL@
147 LN_S = @LN_S@
148 LTLIBOBJS = @LTLIBOBJS@
149 MAINT = @MAINT@
150 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
151 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
152 MAKEINFO = @MAKEINFO@
153 MD5SUM = @MD5SUM@
154 OBJDUMP = @OBJDUMP@
155 OBJEXT = @OBJEXT@
156 PACKAGE = @PACKAGE@
157 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
158 PACKAGE_NAME = @PACKAGE_NAME@
159 PACKAGE_STRING = @PACKAGE_STRING@
160 PACKAGE_TARNAME = @PACKAGE_TARNAME@
161 PACKAGE_VERSION = @PACKAGE_VERSION@
162 PATH_SEPARATOR = @PATH_SEPARATOR@
163 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
164 RANLIB = @RANLIB@
165 SET_MAKE = @SET_MAKE@
166 SHELL = @SHELL@
167 SIMGRID_DEP = @SIMGRID_DEP@
168 STRIP = @STRIP@
169 USE_GTNETS_FALSE = @USE_GTNETS_FALSE@
170 USE_GTNETS_TRUE = @USE_GTNETS_TRUE@
171 USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
172 USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
173 VERSION = @VERSION@
174 WARNING = @WARNING@
175 abs_builddir = @abs_builddir@
176 abs_srcdir = @abs_srcdir@
177 abs_top_builddir = @abs_top_builddir@
178 abs_top_srcdir = @abs_top_srcdir@
179 ac_configure_args = @ac_configure_args@
180 ac_ct_CC = @ac_ct_CC@
181 ac_ct_CXX = @ac_ct_CXX@
182 ac_ct_F77 = @ac_ct_F77@
183 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
184 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
185 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
186 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
187 am__include = @am__include@
188 am__leading_dot = @am__leading_dot@
189 am__quote = @am__quote@
190 am__tar = @am__tar@
191 am__untar = @am__untar@
192 bindir = @bindir@
193 build = @build@
194 build_alias = @build_alias@
195 build_cpu = @build_cpu@
196 build_id = @build_id@
197 build_os = @build_os@
198 build_vendor = @build_vendor@
199 datadir = @datadir@
200 datarootdir = @datarootdir@
201 docdir = @docdir@
202 dvidir = @dvidir@
203 exec_prefix = @exec_prefix@
204 host = @host@
205 host_alias = @host_alias@
206 host_cpu = @host_cpu@
207 host_os = @host_os@
208 host_vendor = @host_vendor@
209 htmldir = @htmldir@
210 includedir = @includedir@
211 infodir = @infodir@
212 install_sh = @install_sh@
213 libdir = @libdir@
214 libexecdir = @libexecdir@
215 localedir = @localedir@
216 localstatedir = @localstatedir@
217 mandir = @mandir@
218 mkdir_p = @mkdir_p@
219 oldincludedir = @oldincludedir@
220 pdfdir = @pdfdir@
221 prefix = @prefix@
222 program_transform_name = @program_transform_name@
223 psdir = @psdir@
224 pth_skaddr_makecontext = @pth_skaddr_makecontext@
225 pth_sksize_makecontext = @pth_sksize_makecontext@
226 sbindir = @sbindir@
227 sharedstatedir = @sharedstatedir@
228 sysconfdir = @sysconfdir@
229 target = @target@
230 target_alias = @target_alias@
231 target_cpu = @target_cpu@
232 target_os = @target_os@
233 target_vendor = @target_vendor@
234 INCLUDES = -I$(top_srcdir)/include
235 TESTS = test_rl test_sg
236 EXTRA_DIST = $(NAME).xml $(TESTS)
237 timer_simulator_SOURCES = _timer_simulator.c timer.c
238 timer_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
239 timer_client_SOURCES = _timer_client.c timer.c
240 timer_client_LDADD = $(top_builddir)/src/libgras.la
241
242 # Take care of generatated sources
243 NAME = timer
244 PROCESSES = client
245 CLEANFILES = _$(NAME)_simulator.c $(NAME).mk $(NAME).Makefile.local $(NAME).Makefile.remote $(NAME).deploy.sh \
246              $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c)
247
248 MOSTLYCLEANFILES = $(NAME).trace
249 all: all-am
250
251 .SUFFIXES:
252 .SUFFIXES: .c .lo .o .obj
253 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/temps-gras-stub.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
254         @for dep in $?; do \
255           case '$(am__configure_deps)' in \
256             *$$dep*) \
257               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
258                 && exit 0; \
259               exit 1;; \
260           esac; \
261         done; \
262         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/timer/Makefile'; \
263         cd $(top_srcdir) && \
264           $(AUTOMAKE) --gnu  examples/gras/timer/Makefile
265 .PRECIOUS: Makefile
266 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
267         @case '$?' in \
268           *config.status*) \
269             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
270           *) \
271             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
272             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
273         esac;
274
275 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
276         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
277
278 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
279         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
280 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
281         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
282 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
283         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
284 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
285         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
286
287 clean-noinstPROGRAMS:
288         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
289           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
290           echo " rm -f $$p $$f"; \
291           rm -f $$p $$f ; \
292         done
293 timer_client$(EXEEXT): $(timer_client_OBJECTS) $(timer_client_DEPENDENCIES) 
294         @rm -f timer_client$(EXEEXT)
295         $(LINK) $(timer_client_LDFLAGS) $(timer_client_OBJECTS) $(timer_client_LDADD) $(LIBS)
296 timer_simulator$(EXEEXT): $(timer_simulator_OBJECTS) $(timer_simulator_DEPENDENCIES) 
297         @rm -f timer_simulator$(EXEEXT)
298         $(LINK) $(timer_simulator_LDFLAGS) $(timer_simulator_OBJECTS) $(timer_simulator_LDADD) $(LIBS)
299
300 mostlyclean-compile:
301         -rm -f *.$(OBJEXT)
302
303 distclean-compile:
304         -rm -f *.tab.c
305
306 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_timer_client.Po@am__quote@
307 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_timer_simulator.Po@am__quote@
308 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timer.Po@am__quote@
309
310 .c.o:
311 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
312 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
313 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
314 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
315 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
316
317 .c.obj:
318 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
319 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
320 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
321 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
322 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
323
324 .c.lo:
325 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
326 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
327 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
328 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
329 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
330
331 mostlyclean-libtool:
332         -rm -f *.lo
333
334 clean-libtool:
335         -rm -rf .libs _libs
336
337 distclean-libtool:
338         -rm -f libtool
339 uninstall-info-am:
340
341 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
342         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
343         unique=`for i in $$list; do \
344             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
345           done | \
346           $(AWK) '    { files[$$0] = 1; } \
347                END { for (i in files) print i; }'`; \
348         mkid -fID $$unique
349 tags: TAGS
350
351 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
352                 $(TAGS_FILES) $(LISP)
353         tags=; \
354         here=`pwd`; \
355         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
356         unique=`for i in $$list; do \
357             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
358           done | \
359           $(AWK) '    { files[$$0] = 1; } \
360                END { for (i in files) print i; }'`; \
361         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
362           test -n "$$unique" || unique=$$empty_fix; \
363           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
364             $$tags $$unique; \
365         fi
366 ctags: CTAGS
367 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
368                 $(TAGS_FILES) $(LISP)
369         tags=; \
370         here=`pwd`; \
371         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
372         unique=`for i in $$list; do \
373             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
374           done | \
375           $(AWK) '    { files[$$0] = 1; } \
376                END { for (i in files) print i; }'`; \
377         test -z "$(CTAGS_ARGS)$$tags$$unique" \
378           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
379              $$tags $$unique
380
381 GTAGS:
382         here=`$(am__cd) $(top_builddir) && pwd` \
383           && cd $(top_srcdir) \
384           && gtags -i $(GTAGS_ARGS) $$here
385
386 distclean-tags:
387         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
388
389 check-TESTS: $(TESTS)
390         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
391         srcdir=$(srcdir); export srcdir; \
392         list='$(TESTS)'; \
393         if test -n "$$list"; then \
394           for tst in $$list; do \
395             if test -f ./$$tst; then dir=./; \
396             elif test -f $$tst; then dir=; \
397             else dir="$(srcdir)/"; fi; \
398             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
399               all=`expr $$all + 1`; \
400               case " $(XFAIL_TESTS) " in \
401               *" $$tst "*) \
402                 xpass=`expr $$xpass + 1`; \
403                 failed=`expr $$failed + 1`; \
404                 echo "XPASS: $$tst"; \
405               ;; \
406               *) \
407                 echo "PASS: $$tst"; \
408               ;; \
409               esac; \
410             elif test $$? -ne 77; then \
411               all=`expr $$all + 1`; \
412               case " $(XFAIL_TESTS) " in \
413               *" $$tst "*) \
414                 xfail=`expr $$xfail + 1`; \
415                 echo "XFAIL: $$tst"; \
416               ;; \
417               *) \
418                 failed=`expr $$failed + 1`; \
419                 echo "FAIL: $$tst"; \
420               ;; \
421               esac; \
422             else \
423               skip=`expr $$skip + 1`; \
424               echo "SKIP: $$tst"; \
425             fi; \
426           done; \
427           if test "$$failed" -eq 0; then \
428             if test "$$xfail" -eq 0; then \
429               banner="All $$all tests passed"; \
430             else \
431               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
432             fi; \
433           else \
434             if test "$$xpass" -eq 0; then \
435               banner="$$failed of $$all tests failed"; \
436             else \
437               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
438             fi; \
439           fi; \
440           dashes="$$banner"; \
441           skipped=""; \
442           if test "$$skip" -ne 0; then \
443             skipped="($$skip tests were not run)"; \
444             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
445               dashes="$$skipped"; \
446           fi; \
447           report=""; \
448           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
449             report="Please report to $(PACKAGE_BUGREPORT)"; \
450             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
451               dashes="$$report"; \
452           fi; \
453           dashes=`echo "$$dashes" | sed s/./=/g`; \
454           echo "$$dashes"; \
455           echo "$$banner"; \
456           test -z "$$skipped" || echo "$$skipped"; \
457           test -z "$$report" || echo "$$report"; \
458           echo "$$dashes"; \
459           test "$$failed" -eq 0; \
460         else :; fi
461
462 distdir: $(DISTFILES)
463         $(mkdir_p) $(distdir)/../../../acmacro $(distdir)/../../../examples
464         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
465         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
466         list='$(DISTFILES)'; for file in $$list; do \
467           case $$file in \
468             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
469             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
470           esac; \
471           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
472           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
473           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
474             dir="/$$dir"; \
475             $(mkdir_p) "$(distdir)$$dir"; \
476           else \
477             dir=''; \
478           fi; \
479           if test -d $$d/$$file; then \
480             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
481               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
482             fi; \
483             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
484           else \
485             test -f $(distdir)/$$file \
486             || cp -p $$d/$$file $(distdir)/$$file \
487             || exit 1; \
488           fi; \
489         done
490 check-am: all-am
491         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
492 check: check-am
493 all-am: Makefile $(PROGRAMS)
494 installdirs:
495 install: install-am
496 install-exec: install-exec-am
497 install-data: install-data-am
498 uninstall: uninstall-am
499
500 install-am: all-am
501         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
502
503 installcheck: installcheck-am
504 install-strip:
505         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
506           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
507           `test -z '$(STRIP)' || \
508             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
509 mostlyclean-generic:
510         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
511
512 clean-generic:
513         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
514
515 distclean-generic:
516         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
517
518 maintainer-clean-generic:
519         @echo "This command is intended for maintainers to use"
520         @echo "it deletes files that may require special tools to rebuild."
521 clean: clean-am
522
523 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
524         mostlyclean-am
525
526 distclean: distclean-am
527         -rm -rf ./$(DEPDIR)
528         -rm -f Makefile
529 distclean-am: clean-am distclean-compile distclean-generic \
530         distclean-libtool distclean-tags
531
532 dvi: dvi-am
533
534 dvi-am:
535
536 html: html-am
537
538 info: info-am
539
540 info-am:
541
542 install-data-am:
543
544 install-exec-am:
545
546 install-info: install-info-am
547
548 install-man:
549
550 installcheck-am:
551
552 maintainer-clean: maintainer-clean-am
553         -rm -rf ./$(DEPDIR)
554         -rm -f Makefile
555 maintainer-clean-am: distclean-am maintainer-clean-generic
556
557 mostlyclean: mostlyclean-am
558
559 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
560         mostlyclean-libtool
561
562 pdf: pdf-am
563
564 pdf-am:
565
566 ps: ps-am
567
568 ps-am:
569
570 uninstall-am: uninstall-info-am
571
572 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
573         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
574         distclean distclean-compile distclean-generic \
575         distclean-libtool distclean-tags distdir dvi dvi-am html \
576         html-am info info-am install install-am install-data \
577         install-data-am install-exec install-exec-am install-info \
578         install-info-am install-man install-strip installcheck \
579         installcheck-am installdirs maintainer-clean \
580         maintainer-clean-generic mostlyclean mostlyclean-compile \
581         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
582         tags uninstall uninstall-am uninstall-info-am
583
584
585 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _$(NAME)_simulator.c: $(srcdir)/$(NAME).xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
586         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ $(NAME) $(srcdir)/$(NAME).xml
587
588 $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@:
589         make -C $(top_builddir)/tools/gras/ gras_stub_generator@EXEEXT@
590
591 dist-files:
592         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
593         @echo
594         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
595
596 # Cruft
597 # Tell versions [3.59,3.63) of GNU make to not export all variables.
598 # Otherwise a system limit (for SysV at least) may be exceeded.
599 .NOEXPORT: